Subject: Re: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

From: Dirk Trossen <[email-masked]>
Date: Wed, 23 Feb 2022 10:06:18 +0000

Andrew, all,

Apologies for the delay in coming back to this issue. I’m still a bit at odds how to progress the draft work along the wider question on the role of RSVP in detnet – do we need more than what the framework draft includes on this?

Best,

Dirk

From: detnet [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: 17 January 2022 16:13
To: Lou Berger <[email-masked]>
Cc: Dirk Trossen <[email-masked]>; DetNet WG <[email-masked]>; TEAS WG Chairs <[email-masked]>; Greg Mirsky <[email-masked]>
Subject: Re: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

Lou,

As you noted, this is a framework document, not a protocol extension document. Dirk asked a question about whether he needed to discuss the need for RSVP control of DetNet, and I was just reminding him that it's already included in the framework draft.

Cheers,
Andy

On Mon, Jan 17, 2022 at 8:49 AM Lou Berger <[email-masked]<mailto:[email-masked]>> wrote:

Andy,

Are you expecting to put in RSVP extensions for jetnet in this document? Typically we don't see protocol extensions in framework documents...

Lou

________________________________

On January 17, 2022 7:28:40 AM "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>> wrote:
Dirk and Greg,

As always, comments and improvements on the draft are welcome!

Cheers,
Andy

On Mon, Jan 17, 2022 at 3:26 AM Dirk Trossen <[email-masked]<mailto:[email-masked]>> wrote:
Andy,

Thanks, indeed, this was our entry point and I’m studying the latest version to see how we can build on and extend from it.

Best,

Dirk

From: detnet [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Andrew G. Malis
Sent: 14 January 2022 18:37
To: Dirk Trossen <dirk.trossen=[email-masked]<mailto:[email-masked]>>
Cc: DetNet WG <[email-masked]<mailto:[email-masked]>>; Lou Berger <[email-masked]<mailto:[email-masked]>>; TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

Dirk, Lou, et al,

Don't forget that draft-ietf-detnet-controller-plane-framework already has some text discussing the use of RSVP-TE as (a part of) the DetNet control plane.

Cheers,
Andy

On Fri, Jan 14, 2022 at 12:18 PM Dirk Trossen <dirk.trossen=[email-masked]<mailto:[email-masked]>> wrote:
Lou,

Thanks for coming back on this. Great to hear the discussions with the TEAS chairs, shedding light on the key issue from 110 regarding the long term home.

When you talk about the 'general solution for RSVP control of DetNet', are you talking about identifying the need (e.g., use cases) for doing so or the actual solution for doing so (beyond just TSN-based L2s)? The former is currently included as a note in the (small) draft update, i.e. attempting to provide a better motivation as to why end user initiated reservation would be used; our plan is to include this into the next update. For the latter, our approach was to narrow the scope to RSVP over TSN networks, i.e. it's not a general solution. Are you saying that such general solution ought to be addressed first before a narrower one for TSN?

Best,

Dirk

-----Original Message-----
From: Lou Berger [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 14 January 2022 14:20
To: Dirk Trossen <[email-masked]<mailto:[email-masked]>>
Cc: TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>; DetNet WG <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

Dirk,

Thank you for this and reviving your work.   The AD and TEAS/DetNet chairs did discuss this and agreed that TEAS is probably the right long term home for this work, but only once the DetNet WG agrees that this work should move forward.

One key comment (I think made at 110 or on the list) that needs to be addresses before this work can be really considered  is identifying the general  solution for RSVP control of DetNet. Your work can be the foundation for this or it can be done in a separate document -- in other words, RSVP for DetNet is a necessary precursor for RSVP extensions in support of DetNet/TSN.

We hope that you are willing to work on and even publish the initial version of an RSVP for DetNet document.

Thank you,

Lou

As DetNet Co-Chair

On 1/11/2022 7:26 AM, Dirk Trossen wrote:
> All,
>
> Apologies from our side for the silence in updating the RSVP-TSN draft (see below), capturing the main points of the discussion during the IETF111 presentation. We would want to rekindle the work after clarifying some aspects internal to the authors' organizations.
>
> The main points, also addressed in the small changes to the previous version related to two aspects:
> 1. during the IETF111 discussion, the question was raised as to where the work should be placed or with which other WG to liaise with for this work (TEAS and CCAMP were mentioned). This aspect is added to the introduction and we would like to invite the list to comment on this.
>
> 2. there was a question on the use of RSVP for detnet in general, i.e. the need for endpoint-signaled communication. We placed a note into the use case section on this, intending to provide more info on this in another update before IETF113.
>
> Not included in this update but planned for the aforementioned update before IETF113 are also additions to the protocol formats. Also, we would like to explore the interest in a demo that could be provided to the community.
>
> Best,
>
> Dirk
>
> -----Original Message-----
> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]
> Sent: 11 January 2022 13:21
> To: Dirk Trossen <[email-masked]<mailto:[email-masked]>>; Juergen Schmitt
> <[email-masked]<mailto:[email-masked]>>
> Subject: New Version Notification for
> draft-trossen-detnet-rsvp-tsn-01.txt
>
>
> A new version of I-D, draft-trossen-detnet-rsvp-tsn-01.txt
> has been successfully submitted by Dirk Trossen and posted to the IETF repository.
>
> Name:         draft-trossen-detnet-rsvp-tsn
> Revision:     01
> Title:                RSVP for TSN Networks
> Document date:        2022-01-11
> Group:                Individual Submission
> Pages:                16
> URL:            https://www.ietf.org/archive/id/draft-trossen-detnet-rsvp-tsn-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-trossen-detnet-rsvp-tsn/
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-trossen-detnet-rsvp-tsn
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-trossen-detnet-rsvp-tsn-01
>
> Abstract:
>     This document provides a solution for control plane signaling by
>     virtue of proposing changes to RSVP signaling with deterministic
>     services at the underlying TSN enabled layer. The solution covers
>     distributed, centralized, and hybrid signaling scenarios in the TSN
>     and SDN domain. The proposed changes to RSVP IntServ, called RSVP TSN
>     in the remainder of this document, provide a better integration with
>     Layer 2 technologies for resource reservation, for which we outline
>     example API specifications for the realization of RSVP TSN.
>
>
>
>
> The IETF Secretariat
>
>
> _______________________________________________
> detnet mailing list
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/detnet
_______________________________________________
detnet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/detnet

---

From: Janos Farkas <[email-masked]>
Date: Thu, 24 Feb 2022 21:56:52 +0000

Hi Dirk,

I personally think a framework document is “just” a framework document, i.e., not authorized to specify solution details.

I think that the DetNet data plane RFCs show good example for multiple aspects.
Details are defined in RFC 8964 for MPLS and RFC 8939 for IP, not in RFC 8938 Data Plane Framework.
Furthermore, the order of the data plane RFCs shows a good approach, imo. Namely, the basis has been defined first for DetNet on its own. DetNet should be able to stand on its own without TSN. After having the core DetNet data plane ready, subnet specific details have been added, namely for the TSN subnet.
I have concerns about an approach to specify subnet specific details first (potentially for different subnet technologies), and only afterwards work out the basis for DetNet on its own (and potentially try to find common denominator across the already specified subnet specific aspects).

My 2 cents,
Janos

From: detnet <[email-masked]> On Behalf Of Dirk Trossen
Sent: Wednesday, February 23, 2022 11:06 AM
To: Andrew G. Malis <[email-masked]>; Lou Berger <[email-masked]>
Cc: Greg Mirsky <[email-masked]>; DetNet WG <[email-masked]>; TEAS WG Chairs <[email-masked]>
Subject: Re: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

Andrew, all,

Best,

Dirk

From: detnet [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: 17 January 2022 16:13
To: Lou Berger <[email-masked]<mailto:[email-masked]>>
Cc: Dirk Trossen <[email-masked]<mailto:[email-masked]>>; DetNet WG <[email-masked]<mailto:[email-masked]>>; TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>; Greg Mirsky <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

Lou,

Cheers,
Andy

Andy,

Lou

Cheers,
Andy

Best,

Dirk

Dirk, Lou, et al,

Cheers,
Andy

Best,

Dirk

-----Original Message-----
From: Lou Berger [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 14 January 2022 14:20
To: Dirk Trossen <[email-masked]<mailto:[email-masked]>>
Cc: TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>; DetNet WG <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

Dirk,

Thank you,

Lou

As DetNet Co-Chair

---

From: Dirk Trossen <[email-masked]>
Date: Fri, 25 Feb 2022 08:38:32 +0000

Hi Janos,

Thanks for the clarification, which I follow and agree with.

Let me discuss with the co-authors for the TSN document about this but it will likely lead to some call for contributors to the wider aspect, i.e., RSVP for DetNet, since I am not convinced that the current author set is going to carry this (wider) work forward.

So in a sense, you may interpret this response as an early call for such interest by anybody in the community.

Best,

Dirk

From: Janos Farkas [mailto:[email-masked]]
Sent: 24 February 2022 22:57
To: Dirk Trossen <[email-masked]>
Cc: Andrew G. Malis <[email-masked]>; Lou Berger <[email-masked]>; Greg Mirsky <[email-masked]>; DetNet WG <[email-masked]>; TEAS WG Chairs <[email-masked]>
Subject: RE: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

Hi Dirk,

My 2 cents,
Janos

From: detnet <[email-masked]<mailto:[email-masked]>> On Behalf Of Dirk Trossen
Sent: Wednesday, February 23, 2022 11:06 AM
To: Andrew G. Malis <[email-masked]<mailto:[email-masked]>>; Lou Berger <[email-masked]<mailto:[email-masked]>>
Cc: Greg Mirsky <[email-masked]<mailto:[email-masked]>>; DetNet WG <[email-masked]<mailto:[email-masked]>>; TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

Andrew, all,

Best,

Dirk

Lou,

Cheers,
Andy

Andy,

Lou

Cheers,
Andy

Best,

Dirk

Dirk, Lou, et al,

Cheers,
Andy

Best,

Dirk

-----Original Message-----
From: Lou Berger [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 14 January 2022 14:20
To: Dirk Trossen <[email-masked]<mailto:[email-masked]>>
Cc: TEAS WG Chairs <[email-masked]<mailto:[email-masked]>>; DetNet WG <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Detnet] FW: New Version Notification for draft-trossen-detnet-rsvp-tsn-01.txt

Dirk,

Thank you,

Lou

As DetNet Co-Chair